Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectuiapi/1 1.13.22 5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.project.ui.support
Class DefaultProjectOperations

    java.lang.Object
      org.netbeans.spi.project.ui.support.DefaultProjectOperations

    public final class DefaultProjectOperations

extends Object

Support class to allow the project type implementors to perform `ProjectOperations` by simply calling a method in this class. Each method in this class provides a default confirmation dialog and default behavior. If the project type requires a different behavior of an operation, it is required to provide its own implementation of the operation.

Since:
  1.10

Method Summary
`static void` | `performDefaultCopyOperation(Project p)` Perform default copy operation.
`static void` | `performDefaultDeleteOperation(Project p)` Perform default delete operation.
`static void` | `performDefaultMoveOperation(Project p)` Perform default move operation.
`static void` | `performDefaultRenameOperation(Project p, String newName)` Perform default rename operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### performDefaultDeleteOperation

    public static void performDefaultDeleteOperation(Project p)
                                              throws IllegalArgumentException

  Perform default delete operation. Gathers all necessary data, shows a confirmation dialog and deletes the project (if confirmed by the user).

  Parameters:
    `p` - project to delete
  Throws:
    `IllegalArgumentException` - if `p == null` or if `org.netbeans.api.projects.ProjectOperations.isDeleteOperationSupported` returns false for this project.
  Since:
    1.10

### performDefaultCopyOperation

    public static void performDefaultCopyOperation(Project p)
                                            throws IllegalArgumentException

  Perform default copy operation. Gathers all necessary data, shows a confirmation dialog and copies the project (if confirmed by the user).

  Parameters:
    `p` - project to copy
  Throws:
    `IllegalArgumentException` - if `p == null` or `org.netbeans.api.projects.ProjectOperations.isCopyOperationSupported` returns false for this project.
  Since:
    1.10

### performDefaultMoveOperation

    public static void performDefaultMoveOperation(Project p)
                                            throws IllegalArgumentException

  Perform default move operation. Gathers all necessary data, shows a confirmation dialog and moves the project (if confirmed by the user).

  Parameters:
    `p` - project to move
  Throws:
    `IllegalArgumentException` - if `p == null` or `org.netbeans.api.projects.ProjectOperations.ismoveOperationSupported` returns false for this project.
  Since:
    1.10

### performDefaultRenameOperation

    public static void performDefaultRenameOperation(Project p,
                                                     String newName)
                                              throws IllegalStateException

  Perform default rename operation. Gathers all necessary data, shows a confirmation dialog and renames the project (if confirmed by the user).

  Parameters:
    `p` - project to move
    `newName` - new project's name or null
  Throws:
    `IllegalArgumentException` - if `p == null` or `org.netbeans.api.projects.ProjectOperations.ismoveOperationSupported` returns false for this project.
    `IllegalStateException`
  Since:
    1.10

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectuiapi/1 1.13.22 5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.